Bug 1011441 - Cannot build and deploy project in ER3 (ER2 worked) due to: Only a type can be imported. com.bpms.flood.model.Request resolves to a package
Cannot build and deploy project in ER3 (ER2 worked) due to: Only a type can b...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER4
: 6.0.0
Assigned To: Maciej Swiderski
Jiri Svitak
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 05:46 EDT by Jiri Svitak
Modified: 2015-06-01 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Svitak 2013-09-24 05:46:56 EDT
Cannot build and deploy project in ER3 (tested with BPMS, but component is related to BRMS). In ER2 I was able to build and deploy imported project without problems. See the error log:


11:08:47,760 WARN  [org.jbpm.ruleflow.core.validation.RuleFlowProcessValidator] (http-localhost/127.0.0.1:8080-6) Process variable validRequest uses ObjectDataType for default type (java.lang) which could cause problems with setting variables, use dedicated type instead
11:08:47,761 WARN  [org.jbpm.ruleflow.core.validation.RuleFlowProcessValidator] (http-localhost/127.0.0.1:8080-6) Process variable person uses ObjectDataType for default type (java.lang) which could cause problems with setting variables, use dedicated type instead
11:08:47,761 WARN  [org.jbpm.ruleflow.core.validation.RuleFlowProcessValidator] (http-localhost/127.0.0.1:8080-6) Process variable request uses ObjectDataType for default type (java.lang) which could cause problems with setting variables, use dedicated type instead
11:08:47,830 ERROR [org.drools.compiler.kie.builder.impl.AbstractKieModule] (http-localhost/127.0.0.1:8080-6) Unable to build KieBaseModel:defaultKieBase
Error importing : 'com.bpms.flood.model.Request'
Error importing : 'com.bpms.flood.model.Person'
Process Compilation error : org.drools.compiler.lang.descr.ProcessDescr@f89b822
	com/bpms/flood/Process_com_bpms_flood_RuleTask1407193470.java (2:31) : Only a type can be imported. com.bpms.flood.model.Request resolves to a package
	com/bpms/flood/Process_com_bpms_flood_RuleTask1407193470.java (4:93) : Only a type can be imported. com.bpms.flood.model.Person resolves to a package

Error importing : 'com.bpms.flood.model.Person'
Error importing : 'com.bpms.flood.model.Request'


To reproduce:
1.) Download BPMS 6 ER3 and merge it with JBoss EAP 6.1.
2.) Setup user guest, with password guest. Hint:
guest=b5d048a237bfd2874b6928e1f37ee15e
guest=kie-user,ADMIN
3.) Enable demo projects in standalone.xml: <property name="org.kie.demo" value="true"/> to be able to use demo group.
4.) Clone repository git://git.app.eng.bos.redhat.com/bpms-assets.git in business-central.
5.) Add the repository to the demo group.
6.) Open project bpms-perf and build&deploy it. The errors above are thrown. In ER2 it completed with success, so this is a regression.
Comment 2 Edson Tirelli 2013-10-01 09:33:23 EDT
This error typically shows up when the class is not found in the classpath. Need to narrow why it is raising a classpath error against a jBPM class.
Comment 6 Mario Fusco 2013-10-10 11:38:02 EDT
I talked to Maciej and he said it is working with ER4. I am reassigning this ticket to him so he could confirm and close it.
Comment 7 Maciej Swiderski 2013-10-14 05:11:35 EDT
I believe it was already fixed as it cannot be reproduced on post ER4 build so marking as modified for retest on ER5 as soon as it will be available.
Comment 8 Jiri Svitak 2013-10-15 09:57:35 EDT
I have tested this on ER4 and it's fixed. Verified.
Comment 9 Lukáš Petrovický 2014-02-07 11:15:40 EST
This BZ has been part of the 6.0.0 stream.

Note You need to log in before you can comment on or make changes to this bug.